<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: city.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: массовые действия с городами
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

if( !defined( "DATALIFEENGINE" ) ) die( "Hacking attempt!" );

//-------------------------------------------------====
//	Само выполнение
//-------------------------------------------------====

$action = $_REQUEST['action'];
$CountryID = intval( $_REQUEST['country_id'] );
$CheckCity = $_REQUEST['CheckCity'];
$Accept = intval( $_REQUEST['accept'] );
if( !$CountryID || !$Board->DB['country'][ $CountryID ] ) echoReturn( "Приняты не все данные, попробуйте снова!" );
if( $action == "sort" && count( $CheckCity ) < 1 ) $CheckCity[] = 1;
if( is_array( $CheckCity ) && count( $CheckCity ) > 0 )
	{
		$HiddenCheck = "";
		foreach( $CheckCity as $key => $id )
			{
				$id = intval( $id );
				if( !$id )
					{
						unset( $CheckCity[ $key ] );
					}
						else
					{
						$CheckCity[ $key ] = $id;
						$HiddenCheck .= "<input type=\"hidden\" name=\"CheckCity[]\" value=\"{$id}\" />";
					}
			}
		
		$HiddenCheck .= "<input type=\"hidden\" name=\"accept\" value=\"1\" />";
		$HiddenCheck .= "<input type=\"hidden\" name=\"action\" value=\"{$action}\" />";
		$HiddenCheck .= "<input type=\"hidden\" name=\"TypeAction\" value=\"city\" />";
		$HiddenCheck .= "<input type=\"hidden\" name=\"country_id\" value=\"{$CountryID}\" />";
		
		$CountCheck = count( $CheckCity );
		if( $CountCheck > 0 )
			{
				//-------------------------------------------------====
				//	Сортировка
				//-------------------------------------------------====

				if( $action == "sort" )
					{
						$Sort = $_REQUEST['sort'];
						if( count( $Sort ) > 0 && is_array( $Sort ) )
							{
								foreach( $Sort as $id => $value )
									{
										$value = intval( $value );
										$id = intval( $id );
										if( $id )
											{
												$db->query( "UPDATE ".PREFIX."_board_options SET `sort`='{$value}' WHERE `id`='{$id}' LIMIT 1" );
											}
									}
											
								echo "<span style=\"color: green; font-weight: bold;\">Отсортировано</span><script language=\"javascript\" type=\"text/javascript\">UpdateList( 'country', 'country_id={$CountryID}', 'country_{$CountryID}' );</script>";
								$Board->CleareAllCache();
							}
								else
							{
								echo "<span style=\"color: #F00; font-weight: bold;\">Ошибка</span>";
							}
					}
					
				//-------------------------------------------------====
				//	Удаление
				//-------------------------------------------------====

				elseif( $action == "del" )
					{
						if( $Accept )
							{
								foreach( $CheckCity as $id )
									{
										$id = intval( $id );
										if( $id )
											{
												//$Board->SaveBoardOpt( $Board->DB['board_type'][2], array( "qwe" => "123" ) );
												$db->query( "DELETE FROM ".PREFIX."_board_options WHERE id='{$id}' LIMIT 1" );
											}
									}
									
								$Board->CleareAllCache();
echo <<<HTML

<div class="unterline"></div>
<div style="padding: 25px; text-align: center;">
	Выбранные <strong>({$CountCheck})</strong> валюты, были успешно удалены<br /><br />
	<a href="javascript:void(0);" onclick="UpdateList( 'country', 'country_id={$CountryID}', 'country_{$CountryID}' ); return false;">Вернуться назад</a>
</div>

HTML;
							}
								else
							{
echo <<<HTML

<div class="unterline"></div>
<form method="post" action="" name="BoardMassAction" onsubmit="formSubmit( 'BoardMassAction', 'action.php', 'country_{$CountryID}', 'ajax.gif', 'UpdateStatus', 'UpdateStatus', UpdateButton ); return false;">
	<div style="padding: 25px; text-align: center;">
		Вы уверены, что хотите удалить выбранные <strong>({$CountCheck})</strong> города?<br /><br />
		<input type="submit" name="submit" value="Да" class="edit" />
		<input type="button" value="Нет" class="edit" onclick="UpdateList( 'country', 'country_id={$CountryID}', 'country_{$CountryID}' ); return false;" />
		{$HiddenCheck}
	</div>
</form>

HTML;
							}
					}
						else
					{
						echo "<div class=\"unterline\"></div><div style=\"padding: 25px; text-align: center;\">Выберите действие для городов<br /><br /><a href=\"javascript:void(0);\" onclick=\"UpdateList( 'country', 'country_id={$CountryID}', 'country_{$CountryID}' ); return false;\">Вернуться назад</a></div>";	
					}
			}
				else
			{
				echo "<div class=\"unterline\"></div><div style=\"padding: 25px; text-align: center;\">Выберите как минимум один город<br /><br /><a href=\"javascript:void(0);\" onclick=\"UpdateList( 'country', 'country_id={$CountryID}', 'country_{$CountryID}' ); return false;\">Вернуться назад</a></div>";
			}
	}
		else
	{
		echo "<div class=\"unterline\"></div><div style=\"padding: 25px; text-align: center;\">Выберите как минимум один город<br /><br /><a href=\"javascript:void(0);\" onclick=\"UpdateList( 'country', 'country_id={$CountryID}', 'country_{$CountryID}' ); return false;\">Вернуться назад</a></div>";
	}

//-------------------------------------------------====
//	Завершение работы
//-------------------------------------------------====

$db->close();

?>